summaryrefslogtreecommitdiffstats
path: root/arch/arm/boards/qil-a926x/defaultenv-qil-a926x
diff options
context:
space:
mode:
authorSascha Hauer <s.hauer@pengutronix.de>2016-09-26 09:50:08 +0200
committerSascha Hauer <s.hauer@pengutronix.de>2016-10-10 08:30:26 +0200
commit4d9734c8a26437838a5c1085fb3859734036e150 (patch)
treef63cf21ae773c4d24d2baecc96c6994fa814d57d /arch/arm/boards/qil-a926x/defaultenv-qil-a926x
parent7791ad2d59a16b76c6a0e48797e9b0ba481b67e0 (diff)
downloadbarebox-4d9734c8a26437838a5c1085fb3859734036e150.tar.gz
barebox-4d9734c8a26437838a5c1085fb3859734036e150.tar.xz
defaultenv: add defaultenv-1 in boards via defaultenv_append_directory()
Currently it's hardcoded for each board which defaultenv version is used. This is unfortunate since some people like the other defaultenv version better and may want to select it. This patch removes the board specific environment path CONFIG_DEFAULT_ENVIRONMENT_PATH and instead adds it via: if (IS_ENABLED(CONFIG_DEFAULT_ENVIRONMENT_GENERIC)) defaultenv_append_directory(defaultenv_<board>); This way we can make sure that the defaultenv-1 board specific bits are only compiled in when defaultenv-1 is actually in use. The next step is to make the defaultenv version selection a user visible choice. Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
Diffstat (limited to 'arch/arm/boards/qil-a926x/defaultenv-qil-a926x')
-rw-r--r--arch/arm/boards/qil-a926x/defaultenv-qil-a926x/bin/init_board46
-rw-r--r--arch/arm/boards/qil-a926x/defaultenv-qil-a926x/config40
2 files changed, 86 insertions, 0 deletions
diff --git a/arch/arm/boards/qil-a926x/defaultenv-qil-a926x/bin/init_board b/arch/arm/boards/qil-a926x/defaultenv-qil-a926x/bin/init_board
new file mode 100644
index 0000000000..09ba7cc981
--- /dev/null
+++ b/arch/arm/boards/qil-a926x/defaultenv-qil-a926x/bin/init_board
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+button_name="dfu_bp"
+button_wait=5
+
+dfu_config="/dev/nand0.barebox.bb(barebox)sr,/dev/nand0.kernel.bb(kernel)r,/dev/nand0.rootfs.bb(rootfs)r"
+
+if [ $at91_udc0.vbus != 1 ]
+then
+ echo "No USB Device cable plugged, normal boot"
+ exit
+fi
+
+gpio_get_value ${dfu_button}
+if [ $? != 0 ]
+then
+ autoboot_timeout=16
+ echo "enable tty over USB Device, increase the boot delay to ${autoboot_timeout}s"
+ usbserial
+ exit
+fi
+
+echo "${button_name} pressed detected wait ${button_wait}s"
+timeout -s -a ${button_wait}
+
+if [ $at91_udc0.vbus != 1 ]
+then
+ echo "No USB Device cable plugged, normal boot"
+ exit
+fi
+
+gpio_get_value ${dfu_button}
+if [ $? != 0 ]
+then
+ echo "${button_name} released, normal boot"
+ autoboot_timeout=16
+ echo "enable tty over USB Device, increase the boot delay to ${autoboot_timeout}s"
+ usbserial
+ exit
+fi
+
+echo ""
+echo "Start DFU Mode"
+echo ""
+
+dfu ${dfu_config}
diff --git a/arch/arm/boards/qil-a926x/defaultenv-qil-a926x/config b/arch/arm/boards/qil-a926x/defaultenv-qil-a926x/config
new file mode 100644
index 0000000000..793a73f11e
--- /dev/null
+++ b/arch/arm/boards/qil-a926x/defaultenv-qil-a926x/config
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# use 'dhcp' to do dhcp in barebox and in kernel
+# use 'none' if you want to skip kernel ip autoconfiguration
+ip=dhcp-barebox
+[ x$armlinux_architecture = x1711 ] && global.dhcp.vendor_id=barebox-qil-a9260
+[ x$armlinux_architecture = x1844 ] && global.dhcp.vendor_id=barebox-qil-a9g20
+
+# or set your networking parameters here
+#eth0.ipaddr=a.b.c.d
+#eth0.netmask=a.b.c.d
+#eth0.gateway=a.b.c.d
+#eth0.serverip=a.b.c.d
+
+# can be either 'nfs', 'tftp', 'nor' or 'nand'
+kernel_loc=nfs
+# can be either 'net', 'nor', 'nand' or 'initrd'
+rootfs_loc=net
+# can be either 'nfs', 'tftp', 'nor', 'nand' or empty
+oftree_loc=none
+
+# can be either 'jffs2' or 'ubifs'
+rootfs_type=ubifs
+rootfsimage=root.$rootfs_type
+
+kernelimage=zImage
+#kernelimage=uImage
+#kernelimage=Image
+#kernelimage=Image.lzo
+
+nand_device=atmel_nand
+nand_parts="128k(at91bootstrap),256k(barebox)ro,128k(bareboxenv),128k(bareboxenv2),128k(oftree),4M(kernel),120M(rootfs),-(data)"
+rootfs_mtdblock_nand=6
+
+autoboot_timeout=3
+
+bootargs="console=ttyS1,115200"
+
+# set a fancy prompt (if support is compiled in)
+PS1="\e[1;32mbarebox@\e[1;31m\h:\w\e[0m\n# "